IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network240.167.2.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
- Network address
240.167.2.0- Broadcast address
240.167.3.255- First usable
240.167.2.1- Last usable
240.167.3.254- Usable hosts
- 510 (512 less the network and broadcast addresses)
- Subnet mask
255.255.254.0- Wildcard mask
0.0.1.255(Cisco ACLs, OSPF)- Prefix length
- /23
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F0A70200· Integer4037476864to4037477375 - Reverse DNS zones
2.167.240.in-addr.arpa3.167.240.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110000.10100111.00000010.00000000 | 240.167.2.0 |
| Subnet mask | 11111111.11111111.11111110.00000000 | 255.255.254.0 |
| Network | 11110000.10100111.00000010.00000000 | 240.167.2.0 |
| Broadcast | 11110000.10100111.00000011.11111111 | 240.167.3.255 |
Split into smaller subnets
240.167.2.0/23 makes 256 subnets of /31.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 240.167.2.0/31 | 240.167.2.0 to 240.167.2.1 | — | 2 |
| 2 | 240.167.2.2/31 | 240.167.2.2 to 240.167.2.3 | — | 2 |
| 3 | 240.167.2.4/31 | 240.167.2.4 to 240.167.2.5 | — | 2 |
| 4 | 240.167.2.6/31 | 240.167.2.6 to 240.167.2.7 | — | 2 |
| 5 | 240.167.2.8/31 | 240.167.2.8 to 240.167.2.9 | — | 2 |
| 6 | 240.167.2.10/31 | 240.167.2.10 to 240.167.2.11 | — | 2 |
| 7 | 240.167.2.12/31 | 240.167.2.12 to 240.167.2.13 | — | 2 |
| 8 | 240.167.2.14/31 | 240.167.2.14 to 240.167.2.15 | — | 2 |
| 9 | 240.167.2.16/31 | 240.167.2.16 to 240.167.2.17 | — | 2 |
| 10 | 240.167.2.18/31 | 240.167.2.18 to 240.167.2.19 | — | 2 |
| 11 | 240.167.2.20/31 | 240.167.2.20 to 240.167.2.21 | — | 2 |
| 12 | 240.167.2.22/31 | 240.167.2.22 to 240.167.2.23 | — | 2 |
| 13 | 240.167.2.24/31 | 240.167.2.24 to 240.167.2.25 | — | 2 |
| 14 | 240.167.2.26/31 | 240.167.2.26 to 240.167.2.27 | — | 2 |
| 15 | 240.167.2.28/31 | 240.167.2.28 to 240.167.2.29 | — | 2 |
| 16 | 240.167.2.30/31 | 240.167.2.30 to 240.167.2.31 | — | 2 |
| 17 | 240.167.2.32/31 | 240.167.2.32 to 240.167.2.33 | — | 2 |
| 18 | 240.167.2.34/31 | 240.167.2.34 to 240.167.2.35 | — | 2 |
| 19 | 240.167.2.36/31 | 240.167.2.36 to 240.167.2.37 | — | 2 |
| 20 | 240.167.2.38/31 | 240.167.2.38 to 240.167.2.39 | — | 2 |
| 21 | 240.167.2.40/31 | 240.167.2.40 to 240.167.2.41 | — | 2 |
| 22 | 240.167.2.42/31 | 240.167.2.42 to 240.167.2.43 | — | 2 |
| 23 | 240.167.2.44/31 | 240.167.2.44 to 240.167.2.45 | — | 2 |
| 24 | 240.167.2.46/31 | 240.167.2.46 to 240.167.2.47 | — | 2 |
| 25 | 240.167.2.48/31 | 240.167.2.48 to 240.167.2.49 | — | 2 |
| 26 | 240.167.2.50/31 | 240.167.2.50 to 240.167.2.51 | — | 2 |
| 27 | 240.167.2.52/31 | 240.167.2.52 to 240.167.2.53 | — | 2 |
| 28 | 240.167.2.54/31 | 240.167.2.54 to 240.167.2.55 | — | 2 |
| 29 | 240.167.2.56/31 | 240.167.2.56 to 240.167.2.57 | — | 2 |
| 30 | 240.167.2.58/31 | 240.167.2.58 to 240.167.2.59 | — | 2 |
| 31 | 240.167.2.60/31 | 240.167.2.60 to 240.167.2.61 | — | 2 |
| 32 | 240.167.2.62/31 | 240.167.2.62 to 240.167.2.63 | — | 2 |
| 33 | 240.167.2.64/31 | 240.167.2.64 to 240.167.2.65 | — | 2 |
| 34 | 240.167.2.66/31 | 240.167.2.66 to 240.167.2.67 | — | 2 |
| 35 | 240.167.2.68/31 | 240.167.2.68 to 240.167.2.69 | — | 2 |
| 36 | 240.167.2.70/31 | 240.167.2.70 to 240.167.2.71 | — | 2 |
| 37 | 240.167.2.72/31 | 240.167.2.72 to 240.167.2.73 | — | 2 |
| 38 | 240.167.2.74/31 | 240.167.2.74 to 240.167.2.75 | — | 2 |
| 39 | 240.167.2.76/31 | 240.167.2.76 to 240.167.2.77 | — | 2 |
| 40 | 240.167.2.78/31 | 240.167.2.78 to 240.167.2.79 | — | 2 |
| 41 | 240.167.2.80/31 | 240.167.2.80 to 240.167.2.81 | — | 2 |
| 42 | 240.167.2.82/31 | 240.167.2.82 to 240.167.2.83 | — | 2 |
| 43 | 240.167.2.84/31 | 240.167.2.84 to 240.167.2.85 | — | 2 |
| 44 | 240.167.2.86/31 | 240.167.2.86 to 240.167.2.87 | — | 2 |
| 45 | 240.167.2.88/31 | 240.167.2.88 to 240.167.2.89 | — | 2 |
| 46 | 240.167.2.90/31 | 240.167.2.90 to 240.167.2.91 | — | 2 |
| 47 | 240.167.2.92/31 | 240.167.2.92 to 240.167.2.93 | — | 2 |
| 48 | 240.167.2.94/31 | 240.167.2.94 to 240.167.2.95 | — | 2 |
| 49 | 240.167.2.96/31 | 240.167.2.96 to 240.167.2.97 | — | 2 |
| 50 | 240.167.2.98/31 | 240.167.2.98 to 240.167.2.99 | — | 2 |
| 51 | 240.167.2.100/31 | 240.167.2.100 to 240.167.2.101 | — | 2 |
| 52 | 240.167.2.102/31 | 240.167.2.102 to 240.167.2.103 | — | 2 |
| 53 | 240.167.2.104/31 | 240.167.2.104 to 240.167.2.105 | — | 2 |
| 54 | 240.167.2.106/31 | 240.167.2.106 to 240.167.2.107 | — | 2 |
| 55 | 240.167.2.108/31 | 240.167.2.108 to 240.167.2.109 | — | 2 |
| 56 | 240.167.2.110/31 | 240.167.2.110 to 240.167.2.111 | — | 2 |
| 57 | 240.167.2.112/31 | 240.167.2.112 to 240.167.2.113 | — | 2 |
| 58 | 240.167.2.114/31 | 240.167.2.114 to 240.167.2.115 | — | 2 |
| 59 | 240.167.2.116/31 | 240.167.2.116 to 240.167.2.117 | — | 2 |
| 60 | 240.167.2.118/31 | 240.167.2.118 to 240.167.2.119 | — | 2 |
| 61 | 240.167.2.120/31 | 240.167.2.120 to 240.167.2.121 | — | 2 |
| 62 | 240.167.2.122/31 | 240.167.2.122 to 240.167.2.123 | — | 2 |
| 63 | 240.167.2.124/31 | 240.167.2.124 to 240.167.2.125 | — | 2 |
| 64 | 240.167.2.126/31 | 240.167.2.126 to 240.167.2.127 | — | 2 |
| 65 | 240.167.2.128/31 | 240.167.2.128 to 240.167.2.129 | — | 2 |
| 66 | 240.167.2.130/31 | 240.167.2.130 to 240.167.2.131 | — | 2 |
| 67 | 240.167.2.132/31 | 240.167.2.132 to 240.167.2.133 | — | 2 |
| 68 | 240.167.2.134/31 | 240.167.2.134 to 240.167.2.135 | — | 2 |
| 69 | 240.167.2.136/31 | 240.167.2.136 to 240.167.2.137 | — | 2 |
| 70 | 240.167.2.138/31 | 240.167.2.138 to 240.167.2.139 | — | 2 |
| 71 | 240.167.2.140/31 | 240.167.2.140 to 240.167.2.141 | — | 2 |
| 72 | 240.167.2.142/31 | 240.167.2.142 to 240.167.2.143 | — | 2 |
| 73 | 240.167.2.144/31 | 240.167.2.144 to 240.167.2.145 | — | 2 |
| 74 | 240.167.2.146/31 | 240.167.2.146 to 240.167.2.147 | — | 2 |
| 75 | 240.167.2.148/31 | 240.167.2.148 to 240.167.2.149 | — | 2 |
| 76 | 240.167.2.150/31 | 240.167.2.150 to 240.167.2.151 | — | 2 |
| 77 | 240.167.2.152/31 | 240.167.2.152 to 240.167.2.153 | — | 2 |
| 78 | 240.167.2.154/31 | 240.167.2.154 to 240.167.2.155 | — | 2 |
| 79 | 240.167.2.156/31 | 240.167.2.156 to 240.167.2.157 | — | 2 |
| 80 | 240.167.2.158/31 | 240.167.2.158 to 240.167.2.159 | — | 2 |
| 81 | 240.167.2.160/31 | 240.167.2.160 to 240.167.2.161 | — | 2 |
| 82 | 240.167.2.162/31 | 240.167.2.162 to 240.167.2.163 | — | 2 |
| 83 | 240.167.2.164/31 | 240.167.2.164 to 240.167.2.165 | — | 2 |
| 84 | 240.167.2.166/31 | 240.167.2.166 to 240.167.2.167 | — | 2 |
| 85 | 240.167.2.168/31 | 240.167.2.168 to 240.167.2.169 | — | 2 |
| 86 | 240.167.2.170/31 | 240.167.2.170 to 240.167.2.171 | — | 2 |
| 87 | 240.167.2.172/31 | 240.167.2.172 to 240.167.2.173 | — | 2 |
| 88 | 240.167.2.174/31 | 240.167.2.174 to 240.167.2.175 | — | 2 |
| 89 | 240.167.2.176/31 | 240.167.2.176 to 240.167.2.177 | — | 2 |
| 90 | 240.167.2.178/31 | 240.167.2.178 to 240.167.2.179 | — | 2 |
| 91 | 240.167.2.180/31 | 240.167.2.180 to 240.167.2.181 | — | 2 |
| 92 | 240.167.2.182/31 | 240.167.2.182 to 240.167.2.183 | — | 2 |
| 93 | 240.167.2.184/31 | 240.167.2.184 to 240.167.2.185 | — | 2 |
| 94 | 240.167.2.186/31 | 240.167.2.186 to 240.167.2.187 | — | 2 |
| 95 | 240.167.2.188/31 | 240.167.2.188 to 240.167.2.189 | — | 2 |
| 96 | 240.167.2.190/31 | 240.167.2.190 to 240.167.2.191 | — | 2 |
| 97 | 240.167.2.192/31 | 240.167.2.192 to 240.167.2.193 | — | 2 |
| 98 | 240.167.2.194/31 | 240.167.2.194 to 240.167.2.195 | — | 2 |
| 99 | 240.167.2.196/31 | 240.167.2.196 to 240.167.2.197 | — | 2 |
| 100 | 240.167.2.198/31 | 240.167.2.198 to 240.167.2.199 | — | 2 |
| 101 | 240.167.2.200/31 | 240.167.2.200 to 240.167.2.201 | — | 2 |
| 102 | 240.167.2.202/31 | 240.167.2.202 to 240.167.2.203 | — | 2 |
| 103 | 240.167.2.204/31 | 240.167.2.204 to 240.167.2.205 | — | 2 |
| 104 | 240.167.2.206/31 | 240.167.2.206 to 240.167.2.207 | — | 2 |
| 105 | 240.167.2.208/31 | 240.167.2.208 to 240.167.2.209 | — | 2 |
| 106 | 240.167.2.210/31 | 240.167.2.210 to 240.167.2.211 | — | 2 |
| 107 | 240.167.2.212/31 | 240.167.2.212 to 240.167.2.213 | — | 2 |
| 108 | 240.167.2.214/31 | 240.167.2.214 to 240.167.2.215 | — | 2 |
| 109 | 240.167.2.216/31 | 240.167.2.216 to 240.167.2.217 | — | 2 |
| 110 | 240.167.2.218/31 | 240.167.2.218 to 240.167.2.219 | — | 2 |
| 111 | 240.167.2.220/31 | 240.167.2.220 to 240.167.2.221 | — | 2 |
| 112 | 240.167.2.222/31 | 240.167.2.222 to 240.167.2.223 | — | 2 |
| 113 | 240.167.2.224/31 | 240.167.2.224 to 240.167.2.225 | — | 2 |
| 114 | 240.167.2.226/31 | 240.167.2.226 to 240.167.2.227 | — | 2 |
| 115 | 240.167.2.228/31 | 240.167.2.228 to 240.167.2.229 | — | 2 |
| 116 | 240.167.2.230/31 | 240.167.2.230 to 240.167.2.231 | — | 2 |
| 117 | 240.167.2.232/31 | 240.167.2.232 to 240.167.2.233 | — | 2 |
| 118 | 240.167.2.234/31 | 240.167.2.234 to 240.167.2.235 | — | 2 |
| 119 | 240.167.2.236/31 | 240.167.2.236 to 240.167.2.237 | — | 2 |
| 120 | 240.167.2.238/31 | 240.167.2.238 to 240.167.2.239 | — | 2 |
| 121 | 240.167.2.240/31 | 240.167.2.240 to 240.167.2.241 | — | 2 |
| 122 | 240.167.2.242/31 | 240.167.2.242 to 240.167.2.243 | — | 2 |
| 123 | 240.167.2.244/31 | 240.167.2.244 to 240.167.2.245 | — | 2 |
| 124 | 240.167.2.246/31 | 240.167.2.246 to 240.167.2.247 | — | 2 |
| 125 | 240.167.2.248/31 | 240.167.2.248 to 240.167.2.249 | — | 2 |
| 126 | 240.167.2.250/31 | 240.167.2.250 to 240.167.2.251 | — | 2 |
| 127 | 240.167.2.252/31 | 240.167.2.252 to 240.167.2.253 | — | 2 |
| 128 | 240.167.2.254/31 | 240.167.2.254 to 240.167.2.255 | — | 2 |
| 129 | 240.167.3.0/31 | 240.167.3.0 to 240.167.3.1 | — | 2 |
| 130 | 240.167.3.2/31 | 240.167.3.2 to 240.167.3.3 | — | 2 |
| 131 | 240.167.3.4/31 | 240.167.3.4 to 240.167.3.5 | — | 2 |
| 132 | 240.167.3.6/31 | 240.167.3.6 to 240.167.3.7 | — | 2 |
| 133 | 240.167.3.8/31 | 240.167.3.8 to 240.167.3.9 | — | 2 |
| 134 | 240.167.3.10/31 | 240.167.3.10 to 240.167.3.11 | — | 2 |
| 135 | 240.167.3.12/31 | 240.167.3.12 to 240.167.3.13 | — | 2 |
| 136 | 240.167.3.14/31 | 240.167.3.14 to 240.167.3.15 | — | 2 |
| 137 | 240.167.3.16/31 | 240.167.3.16 to 240.167.3.17 | — | 2 |
| 138 | 240.167.3.18/31 | 240.167.3.18 to 240.167.3.19 | — | 2 |
| 139 | 240.167.3.20/31 | 240.167.3.20 to 240.167.3.21 | — | 2 |
| 140 | 240.167.3.22/31 | 240.167.3.22 to 240.167.3.23 | — | 2 |
| 141 | 240.167.3.24/31 | 240.167.3.24 to 240.167.3.25 | — | 2 |
| 142 | 240.167.3.26/31 | 240.167.3.26 to 240.167.3.27 | — | 2 |
| 143 | 240.167.3.28/31 | 240.167.3.28 to 240.167.3.29 | — | 2 |
| 144 | 240.167.3.30/31 | 240.167.3.30 to 240.167.3.31 | — | 2 |
| 145 | 240.167.3.32/31 | 240.167.3.32 to 240.167.3.33 | — | 2 |
| 146 | 240.167.3.34/31 | 240.167.3.34 to 240.167.3.35 | — | 2 |
| 147 | 240.167.3.36/31 | 240.167.3.36 to 240.167.3.37 | — | 2 |
| 148 | 240.167.3.38/31 | 240.167.3.38 to 240.167.3.39 | — | 2 |
| 149 | 240.167.3.40/31 | 240.167.3.40 to 240.167.3.41 | — | 2 |
| 150 | 240.167.3.42/31 | 240.167.3.42 to 240.167.3.43 | — | 2 |
| 151 | 240.167.3.44/31 | 240.167.3.44 to 240.167.3.45 | — | 2 |
| 152 | 240.167.3.46/31 | 240.167.3.46 to 240.167.3.47 | — | 2 |
| 153 | 240.167.3.48/31 | 240.167.3.48 to 240.167.3.49 | — | 2 |
| 154 | 240.167.3.50/31 | 240.167.3.50 to 240.167.3.51 | — | 2 |
| 155 | 240.167.3.52/31 | 240.167.3.52 to 240.167.3.53 | — | 2 |
| 156 | 240.167.3.54/31 | 240.167.3.54 to 240.167.3.55 | — | 2 |
| 157 | 240.167.3.56/31 | 240.167.3.56 to 240.167.3.57 | — | 2 |
| 158 | 240.167.3.58/31 | 240.167.3.58 to 240.167.3.59 | — | 2 |
| 159 | 240.167.3.60/31 | 240.167.3.60 to 240.167.3.61 | — | 2 |
| 160 | 240.167.3.62/31 | 240.167.3.62 to 240.167.3.63 | — | 2 |
| 161 | 240.167.3.64/31 | 240.167.3.64 to 240.167.3.65 | — | 2 |
| 162 | 240.167.3.66/31 | 240.167.3.66 to 240.167.3.67 | — | 2 |
| 163 | 240.167.3.68/31 | 240.167.3.68 to 240.167.3.69 | — | 2 |
| 164 | 240.167.3.70/31 | 240.167.3.70 to 240.167.3.71 | — | 2 |
| 165 | 240.167.3.72/31 | 240.167.3.72 to 240.167.3.73 | — | 2 |
| 166 | 240.167.3.74/31 | 240.167.3.74 to 240.167.3.75 | — | 2 |
| 167 | 240.167.3.76/31 | 240.167.3.76 to 240.167.3.77 | — | 2 |
| 168 | 240.167.3.78/31 | 240.167.3.78 to 240.167.3.79 | — | 2 |
| 169 | 240.167.3.80/31 | 240.167.3.80 to 240.167.3.81 | — | 2 |
| 170 | 240.167.3.82/31 | 240.167.3.82 to 240.167.3.83 | — | 2 |
| 171 | 240.167.3.84/31 | 240.167.3.84 to 240.167.3.85 | — | 2 |
| 172 | 240.167.3.86/31 | 240.167.3.86 to 240.167.3.87 | — | 2 |
| 173 | 240.167.3.88/31 | 240.167.3.88 to 240.167.3.89 | — | 2 |
| 174 | 240.167.3.90/31 | 240.167.3.90 to 240.167.3.91 | — | 2 |
| 175 | 240.167.3.92/31 | 240.167.3.92 to 240.167.3.93 | — | 2 |
| 176 | 240.167.3.94/31 | 240.167.3.94 to 240.167.3.95 | — | 2 |
| 177 | 240.167.3.96/31 | 240.167.3.96 to 240.167.3.97 | — | 2 |
| 178 | 240.167.3.98/31 | 240.167.3.98 to 240.167.3.99 | — | 2 |
| 179 | 240.167.3.100/31 | 240.167.3.100 to 240.167.3.101 | — | 2 |
| 180 | 240.167.3.102/31 | 240.167.3.102 to 240.167.3.103 | — | 2 |
| 181 | 240.167.3.104/31 | 240.167.3.104 to 240.167.3.105 | — | 2 |
| 182 | 240.167.3.106/31 | 240.167.3.106 to 240.167.3.107 | — | 2 |
| 183 | 240.167.3.108/31 | 240.167.3.108 to 240.167.3.109 | — | 2 |
| 184 | 240.167.3.110/31 | 240.167.3.110 to 240.167.3.111 | — | 2 |
| 185 | 240.167.3.112/31 | 240.167.3.112 to 240.167.3.113 | — | 2 |
| 186 | 240.167.3.114/31 | 240.167.3.114 to 240.167.3.115 | — | 2 |
| 187 | 240.167.3.116/31 | 240.167.3.116 to 240.167.3.117 | — | 2 |
| 188 | 240.167.3.118/31 | 240.167.3.118 to 240.167.3.119 | — | 2 |
| 189 | 240.167.3.120/31 | 240.167.3.120 to 240.167.3.121 | — | 2 |
| 190 | 240.167.3.122/31 | 240.167.3.122 to 240.167.3.123 | — | 2 |
| 191 | 240.167.3.124/31 | 240.167.3.124 to 240.167.3.125 | — | 2 |
| 192 | 240.167.3.126/31 | 240.167.3.126 to 240.167.3.127 | — | 2 |
| 193 | 240.167.3.128/31 | 240.167.3.128 to 240.167.3.129 | — | 2 |
| 194 | 240.167.3.130/31 | 240.167.3.130 to 240.167.3.131 | — | 2 |
| 195 | 240.167.3.132/31 | 240.167.3.132 to 240.167.3.133 | — | 2 |
| 196 | 240.167.3.134/31 | 240.167.3.134 to 240.167.3.135 | — | 2 |
| 197 | 240.167.3.136/31 | 240.167.3.136 to 240.167.3.137 | — | 2 |
| 198 | 240.167.3.138/31 | 240.167.3.138 to 240.167.3.139 | — | 2 |
| 199 | 240.167.3.140/31 | 240.167.3.140 to 240.167.3.141 | — | 2 |
| 200 | 240.167.3.142/31 | 240.167.3.142 to 240.167.3.143 | — | 2 |
| 201 | 240.167.3.144/31 | 240.167.3.144 to 240.167.3.145 | — | 2 |
| 202 | 240.167.3.146/31 | 240.167.3.146 to 240.167.3.147 | — | 2 |
| 203 | 240.167.3.148/31 | 240.167.3.148 to 240.167.3.149 | — | 2 |
| 204 | 240.167.3.150/31 | 240.167.3.150 to 240.167.3.151 | — | 2 |
| 205 | 240.167.3.152/31 | 240.167.3.152 to 240.167.3.153 | — | 2 |
| 206 | 240.167.3.154/31 | 240.167.3.154 to 240.167.3.155 | — | 2 |
| 207 | 240.167.3.156/31 | 240.167.3.156 to 240.167.3.157 | — | 2 |
| 208 | 240.167.3.158/31 | 240.167.3.158 to 240.167.3.159 | — | 2 |
| 209 | 240.167.3.160/31 | 240.167.3.160 to 240.167.3.161 | — | 2 |
| 210 | 240.167.3.162/31 | 240.167.3.162 to 240.167.3.163 | — | 2 |
| 211 | 240.167.3.164/31 | 240.167.3.164 to 240.167.3.165 | — | 2 |
| 212 | 240.167.3.166/31 | 240.167.3.166 to 240.167.3.167 | — | 2 |
| 213 | 240.167.3.168/31 | 240.167.3.168 to 240.167.3.169 | — | 2 |
| 214 | 240.167.3.170/31 | 240.167.3.170 to 240.167.3.171 | — | 2 |
| 215 | 240.167.3.172/31 | 240.167.3.172 to 240.167.3.173 | — | 2 |
| 216 | 240.167.3.174/31 | 240.167.3.174 to 240.167.3.175 | — | 2 |
| 217 | 240.167.3.176/31 | 240.167.3.176 to 240.167.3.177 | — | 2 |
| 218 | 240.167.3.178/31 | 240.167.3.178 to 240.167.3.179 | — | 2 |
| 219 | 240.167.3.180/31 | 240.167.3.180 to 240.167.3.181 | — | 2 |
| 220 | 240.167.3.182/31 | 240.167.3.182 to 240.167.3.183 | — | 2 |
| 221 | 240.167.3.184/31 | 240.167.3.184 to 240.167.3.185 | — | 2 |
| 222 | 240.167.3.186/31 | 240.167.3.186 to 240.167.3.187 | — | 2 |
| 223 | 240.167.3.188/31 | 240.167.3.188 to 240.167.3.189 | — | 2 |
| 224 | 240.167.3.190/31 | 240.167.3.190 to 240.167.3.191 | — | 2 |
| 225 | 240.167.3.192/31 | 240.167.3.192 to 240.167.3.193 | — | 2 |
| 226 | 240.167.3.194/31 | 240.167.3.194 to 240.167.3.195 | — | 2 |
| 227 | 240.167.3.196/31 | 240.167.3.196 to 240.167.3.197 | — | 2 |
| 228 | 240.167.3.198/31 | 240.167.3.198 to 240.167.3.199 | — | 2 |
| 229 | 240.167.3.200/31 | 240.167.3.200 to 240.167.3.201 | — | 2 |
| 230 | 240.167.3.202/31 | 240.167.3.202 to 240.167.3.203 | — | 2 |
| 231 | 240.167.3.204/31 | 240.167.3.204 to 240.167.3.205 | — | 2 |
| 232 | 240.167.3.206/31 | 240.167.3.206 to 240.167.3.207 | — | 2 |
| 233 | 240.167.3.208/31 | 240.167.3.208 to 240.167.3.209 | — | 2 |
| 234 | 240.167.3.210/31 | 240.167.3.210 to 240.167.3.211 | — | 2 |
| 235 | 240.167.3.212/31 | 240.167.3.212 to 240.167.3.213 | — | 2 |
| 236 | 240.167.3.214/31 | 240.167.3.214 to 240.167.3.215 | — | 2 |
| 237 | 240.167.3.216/31 | 240.167.3.216 to 240.167.3.217 | — | 2 |
| 238 | 240.167.3.218/31 | 240.167.3.218 to 240.167.3.219 | — | 2 |
| 239 | 240.167.3.220/31 | 240.167.3.220 to 240.167.3.221 | — | 2 |
| 240 | 240.167.3.222/31 | 240.167.3.222 to 240.167.3.223 | — | 2 |
| 241 | 240.167.3.224/31 | 240.167.3.224 to 240.167.3.225 | — | 2 |
| 242 | 240.167.3.226/31 | 240.167.3.226 to 240.167.3.227 | — | 2 |
| 243 | 240.167.3.228/31 | 240.167.3.228 to 240.167.3.229 | — | 2 |
| 244 | 240.167.3.230/31 | 240.167.3.230 to 240.167.3.231 | — | 2 |
| 245 | 240.167.3.232/31 | 240.167.3.232 to 240.167.3.233 | — | 2 |
| 246 | 240.167.3.234/31 | 240.167.3.234 to 240.167.3.235 | — | 2 |
| 247 | 240.167.3.236/31 | 240.167.3.236 to 240.167.3.237 | — | 2 |
| 248 | 240.167.3.238/31 | 240.167.3.238 to 240.167.3.239 | — | 2 |
| 249 | 240.167.3.240/31 | 240.167.3.240 to 240.167.3.241 | — | 2 |
| 250 | 240.167.3.242/31 | 240.167.3.242 to 240.167.3.243 | — | 2 |
| 251 | 240.167.3.244/31 | 240.167.3.244 to 240.167.3.245 | — | 2 |
| 252 | 240.167.3.246/31 | 240.167.3.246 to 240.167.3.247 | — | 2 |
| 253 | 240.167.3.248/31 | 240.167.3.248 to 240.167.3.249 | — | 2 |
| 254 | 240.167.3.250/31 | 240.167.3.250 to 240.167.3.251 | — | 2 |
| 255 | 240.167.3.252/31 | 240.167.3.252 to 240.167.3.253 | — | 2 |
| 256 | 240.167.3.254/31 | 240.167.3.254 to 240.167.3.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |